// -*- C++ -*-
//
// ChDefs - Definitions for things in the libCh library.
//
// Copyright © 1997-1998 Arcane Dragon Software
//                       Chris Herborth (chrish@kagi.com)
//
// $Id: ChDefs.h,v 1.3 1998/04/10 15:04:09 chrish Exp $

#ifndef libCh_DEFS_H
#define libCh_DEFS_H

#pragma once

// ======================================================================
// Constants
// ======================================================================

// libCh_VERSION is for testing version-specific behaviour; the first
// two (hex) digits are the major version number, and the second pair
// are the minor version (0x0100 would be 1.0, 0x1234 would be 12.34).
//
// This will be unique for every release of libCh.
#define libCh_VERSION 0x0002

// ======================================================================
// Messages
// ======================================================================

enum {
	Ch_HELP_REQUESTED  = 'cHel',
	Ch_QUERY_SW_KEY    = 'cQKy',
	Ch_QUIT_NOW        = 'cQtn',
	Ch_SIGNAL_RECEIVED = 'cSig',
	Ch_SUBMIT_SW_KEY   = 'cSKy'
};

#endif
